Safe Haskell | Safe-Inferred
Language | Haskell2010

Bug1206

Description

Bug 1206

Synopsis

- data T a = T a

# Documentation

data T a #

A simple identity type

Constructors

T a |

#### Instances

Instances details

Monoid a => Monoid (T a) # | `mempty` = 'T mempty' Docs for the `Monoid` instance of `Monoid a => T a` #### Examples Expand
    >>> mempty :: T String
    T ""
Instance details Defined in Bug1206 Methods mempty :: T a # mappend :: T a -> T a -> T a # mconcat :: [T a] -> T a #
Semigroup (T Int) # | `<>` = 'T (a + b)' Docs for the `Semigroup` instance of `(T Int)` #### Examples Expand
    >>> T 2 <> T (3 :: Int)
    T 5
Instance details Defined in Bug1206 Methods (<>) :: T Int -> T Int -> T Int # sconcat :: NonEmpty (T Int) -> T Int # stimes :: Integral b => b -> T Int -> T Int #
Semigroup a => Semigroup (T a) # | `<>` = 'T (a <> b)' Docs for the `Semigroup` instance of `Semigroup a => T a` #### Examples Expand
    >>> T (Product 1) <> T (Product 2)
    T (Product {getProduct = 2})
Instance details Defined in Bug1206 Methods (<>) :: T a -> T a -> T a # sconcat :: NonEmpty (T a) -> T a # stimes :: Integral b => b -> T a -> T a #
Show a => Show (T a) # |
Instance details Defined in Bug1206 Methods showsPrec :: Int -> T a -> ShowS # show :: T a -> String # showList :: [T a] -> ShowS #